apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: tikal-test-es-from-css
  namespace: default
spec:
  refreshInterval: 1m
  secretStoreRef:
    name: clustersecretstore-for-test
    kind: ClusterSecretStore
  target:
    name: tikal-test-secret-from-clustersecretstore
    creationPolicy: Owner
  data:
  - secretKey: firstname
    remoteRef:
      key: /tikal/test-praram
      property: name.first # Tom
  - secretKey: first_friend
    remoteRef:
      key: /tikal/test-praram
      property: friends.1.first # Roger
  - secretKey: zero_friend
    remoteRef:
      key: /tikal/test-praram
      property: friends.0.first # Roger
